<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC 
"-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">
<f:view>
    <div class="modal">
        <p:confirmDialog
            id="idJustificacionConfirm"
            header="#{msgenl['confirm.justificacion.titulo']}"
            binding="#{informacionComplementariaController.justificacionConfirm}"
            height="30"
            width="500"
            widgetVar="justificacionConfirm"
            closable="false">
            <p:panelGrid
                id="idPanelJustificacionConfirm"
                style="center">
                <p:row>
                    <p:column style="width:400px">
                        <h:outputText
                            value="#{informacionComplementariaController.mensajeJustificarConfirm}" />
                    </p:column>
                </p:row>
            </p:panelGrid>
            <div class="acciones">
                <span> <p:commandButton
                        id="idSi"
                        value="#{msghsp['confirm.si']}"
                        binding="#{informacionComplementariaController.confirmSi}"
                        update="idFoco idSi idNo idHiddenJustificacionConfirm infoCompForm idPanelConsultar"
                        actionListener="#{informacionComplementariaController.confirmAcepto}"
                        disabled = "true"
                        />
                    <p:commandButton
                        id="idNo"
                        value="#{msghsp['confirm.no']}"
                        binding="#{informacionComplementariaController.confirmNo}"
                        update="idFoco idSi idNo idHiddenJustificacionConfirm"
                        actionListener="#{informacionComplementariaController.confirmRechazo}" />
                </span>
            </div>
        </p:confirmDialog>
    </div>
    <div class="accionesInfo">
        <p:panelGrid
            rendered="#{informacionComplementariaController.visibleBotones}">
            <p:commandButton
                id="idJustificar"
                binding="#{informacionComplementariaController.buttonJustificar}"
                update="infoCompForm idHiddenJustificacionConfirm idNo idSi idHiddenFoco"
                value="#{msgenl['boton.justificar']}"
                icon="ui-icon-disk"
                rendered="#{!informacionComplementariaController.visibleConsultar}"
                actionListener="#{informacionComplementariaController.justificar}"
                oncomplete="actualizarFocoGuardar();" />
            <p:commandButton
                id="idConsultar"
                binding="#{informacionComplementariaController.buttonConsultar}"
                value="#{msgenl['boton.consultar']}"
                icon="ui-icon-disk"
                actionListener="#{informacionComplementariaController.consultar}"
                rendered="#{!informacionComplementariaController.visibleConsultar}"
                update="infoCompForm idRCV" />
            <p:commandButton
                id="idGuardar"
                binding="#{informacionComplementariaController.buttonGuardar}"
                update="growlMessageError growlMessageInfo infoCompForm"
                value="#{msghsp['boton.guardar']}"
                icon="ui-icon-disk"
                actionListener="#{informacionComplementariaController.guardar}"
                rendered="#{!informacionComplementariaController.visibleConsultar}" />
            <p:commandButton
                id="idCancelar"
                binding="#{informacionComplementariaController.buttonCancelar}"
                update="infoCompForm"
                value="#{msghsp['boton.cancelar']}"
                icon="ui-icon-cancel"
                actionListener="#{informacionComplementariaController.cancelar}"
                rendered="#{!informacionComplementariaController.visibleConsultar}" />
            <p:commandButton
                id="idRegresar"
                rendered="#{informacionComplementariaController.visibleConsultar}"
                binding="#{informacionComplementariaController.buttonRegresar}"
                update="infoCompForm"
                value="#{msghsp['boton.regresar']}"
                icon="ui-icon-disk"
                actionListener="#{informacionComplementariaController.regresar}" />
            <p:commandButton
                id="idSalirComp"
                binding="#{informacionComplementariaController.buttonSalir}"
                value="#{msghsp['salir']}"
                icon="ui-icon-closethick"
                action="#{informacionComplementariaController.salir}"
                immediate="true" />
        </p:panelGrid>
    </div>
</f:view>
</html>